#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
int M,N,i,k=1,z[N],x,v[N],g[N],us,s;
do
{
printf("Broj ucenika koji je pozvan:\n");
scanf("%i",&N);
if(1>N || N>100000)
    printf("Pogresan unos!Vrednost koju unosite mora biti u rasponu 1<=N<=100000!\n");
else;
}
while(1>N || N>100000);
i=0;
do
{
printf("Broj poznanika:");
scanf("%i",&M);
if(1>M || M>100000)
    printf("Pogresan unos!Vrednost koju unosite mora biti u rasponu 1<=M<=100000!\n");
else;
}
while(1>M || M>100000);
i=0;
do
{
printf("Unesi druzeljubivost ucesnika %i.:\n",k);
do
{
scanf("%i",&x);
if (x<-pow(10,9) || x>pow(10,9))
    printf("Pogresan unos!Unos moze biti u rasponu od -10^9 do 10^9!\n");
else;
}
while (x<-pow(10,9) || x>pow(10,9));
z[i]=x;
k++;
i++;
}
while(i!=N);
k=1;
i=0;
do
{
printf("Unesi broj prijatelja %i. ucesnika:\n",k);
scanf("%i",&v[i]);
printf("Unesi broj neprijatelja %i. ucesnika:\n",k);
scanf("%i",&g[i]);
k++;
i++;
}
while (i!=N);
i=0;
do
{
if(z[i]<0)
    s=z[i]*(v[i]-g[i]);
if(z[i]>0)
    s=z[i]*(g[i]-v[i]);
else
    s=0;
us=us+s;
i++;
}
while(i!=N);
printf("Ukupna sreca je jednaka:%i",us);
}